Holger's Java API

## com.antelmann.calendar
Class AbstractCalendarModel

    java.lang.Object
      com.antelmann.calendar.AbstractCalendarModel

All Implemented Interfaces:
  CalendarModel

Direct Known Subclasses:
  DefaultCalendarModel

    public abstract class AbstractCalendarModel

extends Object
implements CalendarModel

a convenient base implementation for a CalendarModel that merely leaves `getValueFor(Date)` to be implemented by an inheriting class.

Author:
  Holger Antelmann

Constructor Summary
`AbstractCalendarModel()`

Method Summary
`void` `addCalendarModelListener(CalendarModelListener listener)`
`void` `fireChange()`
`void` `fireChange(Date firstChangedDate, Date lastChangedDate)`
`CalendarModelListener[]` `getListeners()`
`void` `removeCalendarModelListener(CalendarModelListener listener)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.antelmann.calendar.CalendarModel
`getValueFor`

Constructor Detail

### AbstractCalendarModel

    public AbstractCalendarModel()

Method Detail

### addCalendarModelListener

    public void addCalendarModelListener(CalendarModelListener listener)

  Specified by:
    `addCalendarModelListener` in interface `CalendarModel`

### removeCalendarModelListener

    public void removeCalendarModelListener(CalendarModelListener listener)

  Specified by:
    `removeCalendarModelListener` in interface `CalendarModel`

### getListeners

    public CalendarModelListener[] getListeners()

### fireChange

    public void fireChange()

### fireChange

    public void fireChange(Date firstChangedDate,
                           Date lastChangedDate)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads